<?php

class PaginasSiteMobile extends CI_Controller {

    function __construct() {
        parent::__construct();
        if ((!$this->session->userdata('session_id')) || (!$this->session->userdata('logado'))) {
            if ($this->session->userdata('isMobile')) {
                redirect('principal/loginSiteMobile');
            }
            redirect('principal/loginSite');
        }

        $this->load->helper(array('form', 'codegen_helper'));
        $this->load->model('noticias_model', '', TRUE);
        $this->load->model('principal_model', '', TRUE);
        $this->load->model('site/servicossite_model', '', TRUE);
    }

    function index() {
        if ($this->session->userdata('isMobile')) {
            $this->gerenciarPaginasMobile();
        }
        $this->gerenciarPaginas();
    }

    function reservas() {
        $this->data['reservas'] = $this->principal_model->getReservasPendentes();
        $this->data['pagina'] = 'site/mobile/paginas/reservas/reserva';
        $this->data['view'] = 'site/mobile/controlePaginas';
        $this->load->view('site/mobile/topoSiteMobile', $this->data);
    }

    function mudancas() {
        $this->data['mudanca'] = $this->principal_model->getMudancasPendentes();
        $this->data['pagina'] = 'site/mobile/paginas/mudancas/mudancas';
        $this->data['view'] = 'site/mobile/controlePaginas';
        $this->load->view('site/mobile/topoSiteMobile', $this->data);
    }

    function ocorrencias() {
        $this->data['ocorrencias'] = $this->principal_model->getOcorrencias();
        $this->data['pagina'] = 'site/mobile/paginas/ocorrencias/ocorrencia';
        $this->data['view'] = 'site/mobile/controlePaginas';
        $this->load->view('site/mobile/topoSiteMobile', $this->data);
    }
    function contatos() {
        $this->data['pagina'] = 'site/mobile/paginas/contatos/contatos';
        $this->data['view'] = 'site/mobile/controlePaginas';
        $this->load->view('site/mobile/topoSiteMobile', $this->data);
    }

    function adicionarReserva() {
        $this->data['pagina'] = 'site/paginas/reservas/adicionarReserva';
        $this->data['view'] = 'site/mobile/controlePaginas';
        $this->load->view('site/mobile/topoSiteMobile', $this->data);
    }

    function adicionarMudancas() {
        $this->data['pagina'] = 'site/paginas/mudancas/adicionarMudancas';
        $this->data['view'] = 'site/mobile/controlePaginas';
        $this->load->view('site/mobile/topoSiteMobile', $this->data);
    }

    function adicionarOcorrencia() {
        $this->data['pagina'] = 'site/paginas/ocorrencias/adicionarOcorrencia';
         $this->data['view'] = 'site/mobile/controlePaginas';
        $this->load->view('site/mobile/topoSiteMobile', $this->data);
    }

}
